Crashpad

Classes | Public Types | Public Attributes | List of all members
crashpad::CPUContextX86_64 Struct Reference

A context structure carrying x86_64 CPU state. More...

`#include "snapshot/cpu_context.h"`

## Classes
struct | Fxsave

## Public Types
using | X87Register = CPUContextX86::X87Register
using | X87OrMMXRegister = CPUContextX86::X87OrMMXRegister
using | XMMRegister = CPUContextX86::XMMRegister

## Public Attributes
uint64_t | rax
uint64_t | rbx
uint64_t | rcx
uint64_t | rdx
uint64_t | rdi
uint64_t | rsi
uint64_t | rbp
uint64_t | rsp
uint64_t | r8
uint64_t | r9
uint64_t | r10
uint64_t | r11
uint64_t | r12
uint64_t | r13
uint64_t | r14
uint64_t | r15
uint64_t | rip
uint64_t | rflags
uint16_t | cs
uint16_t | fs
uint16_t | gs
Fxsave | fxsave
uint64_t | dr0
uint64_t | dr1
uint64_t | dr2
uint64_t | dr3
uint64_t | dr4
uint64_t | dr5
uint64_t | dr6
uint64_t | dr7

## Detailed Description

A context structure carrying x86_64 CPU state.

The documentation for this struct was generated from the following file:

- snapshot/cpu_context.h